## org.omg.CORBA
Class BAD_CONTEXT

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.omg.CORBA.SystemException
                              |
                              +--org.omg.CORBA.BAD_CONTEXT

All Implemented Interfaces:
  org.apache.avalon.framework.CascadingThrowable, java.io.Serializable

public class BAD_CONTEXT
extends SystemException

An operation may raise this exception if a client invokes the operation but the passed context does not contain the context values required by the operation.

See Also:
  Serialized Form

Fields inherited from class org.omg.CORBA.SystemException
`completed, minor`

Constructor Summary
`BAD_CONTEXT()`
`BAD_CONTEXT(int minor, CompletionStatus completed)`
`BAD_CONTEXT(java.lang.String orb_reason)`
`BAD_CONTEXT(java.lang.String orb_reason, int minor, CompletionStatus completed)`

Methods inherited from class org.omg.CORBA.SystemException
`getCause, initCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BAD_CONTEXT

    public BAD_CONTEXT()

### BAD_CONTEXT

    public BAD_CONTEXT(java.lang.String orb_reason)

### BAD_CONTEXT

    public BAD_CONTEXT(int minor,
                       CompletionStatus completed)

### BAD_CONTEXT

    public BAD_CONTEXT(java.lang.String orb_reason,
                       int minor,
                       CompletionStatus completed)